Page MenuHomeFreeBSD

devel/boost-*: update to 1.66.0
AbandonedPublic

Authored by jbeich on Nov 27 2017, 10:15 PM.

Details

Reviewers
None
Group Reviewers
office
Commits
rP459315: devel/boost-*: update to 1.66.0
Test Plan
  • poudriere bulk -t devel/boost-all is green on 10.3 i386/amd64, 11.0 i386/amd64, 11.1 aarch64
  • -exp run to be tracked in bug 223922

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 13643
Build 13864: arc lint + arc unit

Event Timeline

jbeich created this revision.Nov 27 2017, 10:15 PM
jbeich updated this revision to Diff 35895.Nov 27 2017, 10:50 PM
jbeich edited the test plan for this revision. (Show Details)

Adjust commit message for reserved bug/review numbers.

jbeich updated this revision to Diff 36423.Dec 10 2017, 4:16 PM
  • Update to rc1
This comment was removed by thierry.

Sorry, it does not build for me, with an up-to-date ports tree:

$ make all deinstall install clean -C/usr/ports/devel/boost-libs
/!\ boost-libs-1.66.0: Makefile warnings, please consider fixing /!\

Please set LICENSE for this port

===>   boost-libs-1.66.0 depends on file: /usr/local/sbin/pkg - found
=> boost_1_66_0_rc1.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://dl.bintray.com/boostorg/release/1.66.0/source/boost_1_66_0_rc1.tar.bz2
boost_1_66_0_rc1.tar.bz2                      100% of   82 MB 1331 kBps 01m03s
===> Fetching all distfiles required by boost-libs-1.66.0 for building
===>  Extracting for boost-libs-1.66.0
=> SHA256 Checksum OK for boost_1_66_0_rc1.tar.bz2.
===>  Patching for boost-libs-1.66.0
===>  Applying FreeBSD patches for boost-libs-1.66.0
===>   Ignoring patchfile patch-tools_build_src_tools_clang-linux.jam.orig
===>   boost-libs-1.66.0 depends on executable: bjam - found
===>   boost-libs-1.66.0 depends on package: libiconv>=1.14_11 - found
===>   boost-libs-1.66.0 depends on shared library: libicuuc.so - found (/usr/local/lib/libicuuc.so)
===>  Configuring for boost-libs-1.66.0
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/engine/boehm_gc/configure
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/engine/boehm_gc/libtool.m4
===>  Building for boost-libs-1.66.0
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/tools/types/xml.jam:12: in load
ERROR: rule "Copyright" unknown in module "xml".
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/kernel/modules.jam:295: in import
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/tools/types/register.jam:36: in load
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/kernel/modules.jam:295: in import
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/tools/stage.jam:18: in load
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/kernel/modules.jam:295: in import
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/tools/builtin.jam:27: in load
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/kernel/modules.jam:295: in import
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/build-system.jam:12: in load
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/kernel/modules.jam:295: in import
/usr/ports/devel/boost-libs/work/boost_1_66_0/tools/build/src/kernel/bootstrap.jam:139: in boost-build
/usr/ports/devel/boost-libs/work/boost_1_66_0/boost-build.jam:17: in module scope
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/boost-libs

@thierry, can you show poudriere log? I can't reproduce. Maybe your boost-jam package is out of date i.e., 1.65.1 vs. 1.66.0. Sorry if this wasn't in my bustage reports.

@jbeich : I did'nt try it in poudriere, but in a session on my ports tree.
Maybe this is caused by some conflict with boost-libs-1.65.1_1.
Going to poudriere!

Confirmed: everything is OK in poudriere.

jbeich updated this revision to Diff 36618.Dec 15 2017, 12:54 AM
  • Update to rc2
jbeich updated this revision to Diff 36712.Dec 18 2017, 3:28 PM
  • rc2 became the release
jbeich abandoned this revision.May 1 2018, 2:55 AM